Subject: Re: bug#56237: 29.0.50; delete-forward-char fails to delete character

From: Visuwesh <[email-masked]>
Date: Sun, 26 Jun 2022 22:36:31 +0530

[ஞாயிறு ஜூன் 26, 2022] Eli Zaretskii wrote:

>> From: Visuwesh <[email-masked]>
>> Cc: [email-masked]
>> Date: Sun, 26 Jun 2022 22:17:53 +0530
>> 
>> [ஞாயிறு ஜூன் 26, 2022] Eli Zaretskii wrote:
>> 
>> > Sorry, I misunderstood the report.
>> >
>> > I tried to fix this now on master.
>> 
>> Thanks for the quick fix!  Unfortunately, delete-forward-char still
>> deletes two clusters instead of one in "ப்போ".  :(
>
> They aren't two clusters, they are two graphemes that are part of a
> single grapheme cluster.
>
> Invoke find-composition, and you will see that it returns a single
> composition there.
>

If find-composition is indeed right, then the return value is very
unintuvitive as a native speaker: ப் and போ are two separate characters
and combining them into a single cluster is weird...  

Am I right in thinking that a grapheme cluster is made up of characters
that can be grouped together to produce a single "letter" on screen?  If
so, the behaviour of find-composition is still confusing since I need to
say C-f twice to move over ப்போ.

>> I.e.,
>> 
>>     |ப்போ becomes |
>> 
>> where | denotes the point.
>
> This is the intended behavior.